# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1 xdg-utils

DESCRIPTION="GUI application for programming Logitech Harmony"
HOMEPAGE="https://sourceforge.net/projects/congruity"
SRC_URI="mirror://sourceforge/congruity/${P}.tar.bz2"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="
	dev-python/wxpython:4.0[${PYTHON_USEDEP}]
	>=dev-libs/libconcord-1.3[python,${PYTHON_USEDEP}]
	dev-python/six[${PYTHON_USEDEP}]
	>=dev-python/suds-0.7[${PYTHON_USEDEP}]
	app-crypt/libsecret
	dev-python/pygobject:3[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}"

python_install() {
	distutils-r1_python_install \
		--skip-update-desktop-db
}

pkg_postinst() {
	xdg_desktop_database_update
}
